Loading...
Searching...
No Matches
Data Provider Global Options

## Variables

const | DataProvider::DPO_AllOptions = ...
| The mask of all data provider options.
const | DataProvider::DPO_DisableOnDemandInitialization = (1 << 1)
| Disable on-demand initialization.
const | DataProvider::DPO_EnableServers = (1 << 0)

## Detailed Description

These are constants for global data provider behavior

See also
  - DataProvider::addOptions()
  - DataProvider::getOptions()
  - DataProvider::setOptions()

## Variable Documentation

## DPO_DisableOnDemandInitialization

const DataProvider::DPO_DisableOnDemandInitialization = (1 << 1)

Disable on-demand initialization.

This option ensures that all eligible data providers are initialized immediately instead of when they are used; this can be useful for testing

## DPO_EnableServers

const DataProvider::DPO_EnableServers = (1 << 0)

Enable servers If this is set, then external server threads or programs may be started for data provider functionality; in this case the user must call DataProvider::shutdown() before exiting